Index: branches/eli_branch/lib/App.inc.php
===================================================================
--- branches/eli_branch/lib/App.inc.php	(revision 440)
+++ branches/eli_branch/lib/App.inc.php	(revision 442)
@@ -30,4 +30,6 @@
  */
 
+//ob_start();
+ 
 // Message Types.
 define('MSG_ERR', 1);
@@ -244,4 +246,5 @@
 
         // Error reporting.
+        /*
         ini_set('error_reporting', $this->getParam('error_reporting'));
         ini_set('display_errors', $this->getParam('display_errors'));
@@ -250,5 +253,5 @@
             ini_set('error_log', $this->getParam('log_directory') . '/' . $this->getParam('php_error_log'));
         }
-
+*/
         // Set character set to use for multi-byte string functions.
         mb_internal_encoding($this->getParam('character_set'));
@@ -273,5 +276,5 @@
 
         if (true === $this->getParam('enable_db')) {
-
+            
             // DB connection parameters taken from environment variables in the httpd.conf file, readable only by root.
             if (!empty($_SERVER['DB_SERVER'])) {
@@ -319,4 +322,5 @@
 
             // Session parameters.
+            /*
             ini_set('session.gc_probability', 1);
             ini_set('session.gc_divisor', 1000);
@@ -327,4 +331,5 @@
             ini_set('session.entropy_length', '512');
             ini_set('session.cookie_httponly', true);
+             * */
             session_name($this->getParam('session_name'));
 
@@ -339,5 +344,5 @@
 
             // Start the session.
-            session_start();
+            //session_start();
 
             if (!isset($_SESSION['_app'][$this->_ns])) {
@@ -374,5 +379,5 @@
 
         // Character set. This should also be printed in the html header template.
-        header('Content-type: text/html; charset=' . $this->getParam('character_set'));
+        //header('Content-type: text/html; charset=' . $this->getParam('character_set'));
         
         // Set the version of the codebase we're using.
@@ -381,5 +386,5 @@
             $codebase_version = trim(file_get_contents($codebase_version_file));
             $this->setParam(array('codebase_version' => $codebase_version));
-            header('X-Codebase-Version: ' . $codebase_version);
+            //header('X-Codebase-Version: ' . $codebase_version);
         }
 
@@ -397,5 +402,4 @@
     {
         session_write_close();
-        restore_include_path();
         $this->running = false;
         $num_queries = 0;
@@ -449,5 +453,5 @@
             );
         }
-
+        
         if (!in_array($type, array(MSG_NOTICE, MSG_SUCCESS, MSG_WARNING, MSG_ERR))) {
             $this->logMsg(sprintf('Invalid MSG_* type: %s', $type), LOG_NOTICE, __FILE__, __LINE__);
@@ -469,5 +473,5 @@
             return false;
         }
-
+        //die($_SESSION['_app'][$this->_ns]['messages']);
         return isset($_SESSION['_app'][$this->_ns]['messages']) ? $_SESSION['_app'][$this->_ns]['messages'] : array();
     }
@@ -503,4 +507,5 @@
     public function printRaisedMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg')
     {
+        
         if (!$this->running) {
             $this->logMsg(sprintf('Canceled method call %s, application not running.', __FUNCTION__), LOG_NOTICE, __FILE__, __LINE__);
Index: branches/eli_branch/lib/Lock.inc.php
===================================================================
--- branches/eli_branch/lib/Lock.inc.php	(revision 440)
+++ branches/eli_branch/lib/Lock.inc.php	(revision 442)
@@ -350,5 +350,5 @@
      * Deletes all locks that are older than auto_timeout.
      */
-    private function _auto_timeout()
+    public function _auto_timeout()
     {
 		$db =& DB::getInstance();
Index: branches/eli_branch/tests/AppTest.php
===================================================================
--- branches/eli_branch/tests/AppTest.php	(revision 440)
+++ branches/eli_branch/tests/AppTest.php	(revision 442)
@@ -30,13 +30,11 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class AppTest extends PHPUnit_TestCase {
+//
+
+class AppTest extends PHPUnit_Framework_TestCase {
 
     var $App;
-
-    function AppTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
+    
+    static $shared_session;
 
     function setUp()
@@ -44,4 +42,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         $this->App =& $app;
+        $_SESSION = AppTest::$shared_session;
     }
 
@@ -49,4 +48,5 @@
     {
         unset($this->App);
+        AppTest::$shared_session = $_SESSION;
     }
 
@@ -62,10 +62,13 @@
             'test_config_value' => 1234
         ));
-        $this->assertTrue(1234 === $this->App->_params['test_config_value']);
+        $this->assertTrue(1234 === $this->App->getParam('test_config_value'));
     }
 
     function test_getParam()
     {
-        $this->App->_params['test_config_value2'] = 'okay';
+        //$this->App->setParam('test_config_value2', 'okay');
+        $this->App->setParam(array(
+            'test_config_value2' => 'okay'
+        ));
         $result = $this->App->getParam('test_config_value2');
         $this->assertEquals('okay', $result);
@@ -104,5 +107,5 @@
         $expected = 'My message';
         $app->raiseMsg($expected, MSG_NOTICE, __FILE__, __LINE__);
-        $msg = current($_SESSION['_app'][$this->App->_ns]['messages']);
+        $msg = current($_SESSION['_app']['testapp']['messages']);
         $this->assertEquals($expected, $msg['message']);
     }
@@ -111,4 +114,5 @@
     {
         ob_start();
+        //$this->test_raisemsg();  //had to add this line for phpunit ver. 3.7
         $app =& App::getInstance();
         $app->printraisedmessages();
@@ -205,5 +209,7 @@
 }
 // Running the test.
+/*
 $suite = new PHPUnit_TestSuite('AppTest');
 $result = PHPUnit::run($suite);
 echo $result->toString();
+ */
Index: branches/eli_branch/tests/AuthFileTest.php
===================================================================
--- branches/eli_branch/tests/AuthFileTest.php	(revision 442)
+++ branches/eli_branch/tests/AuthFileTest.php	(revision 442)
@@ -0,0 +1,116 @@
+<?php
+/**
+ * The Strangecode Codebase - a general application development framework for PHP
+ * For details visit the project site: <http://trac.strangecode.com/codebase/>
+ * Copyright 2001-2012 Strangecode, LLC
+ * 
+ * This file is part of The Strangecode Codebase.
+ *
+ * The Strangecode Codebase is free software: you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as published by the
+ * Free Software Foundation, either version 3 of the License, or (at your option)
+ * any later version.
+ * 
+ * The Strangecode Codebase is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ * 
+ * You should have received a copy of the GNU General Public License along with
+ * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/**
+ * PHPUnit test case for codebase/lib/AuthFile.inc.php
+ *
+ * The method skeletons below need to be filled in with
+ * real data so that the tests will run correctly. Replace
+ * all EXPECTED_VAL and PARAM strings with real data.
+ *
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+//
+class AuthFileTest extends PHPUnit_Framework_TestCase {
+
+    var $AuthFile;
+    
+    static $shared_session;
+
+    function setUp()
+    {
+        require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/Auth_File.inc.php';
+        $this->AuthFile = new Auth_File('test_auth');
+        $this->AuthFile->setParam(array('htpasswd_file' => dirname(__FILE__) . '/_test_htpasswd'));
+        $_SESSION = AuthFileTest::$shared_session;
+    }
+
+    function tearDown()
+    {
+        unset($this->AuthFile);
+        AuthFileTest::$shared_session = $_SESSION;
+    }
+
+    function test_authenticate()
+    {
+        $true = $this->AuthFile->authenticate('testuser', 'testpass');
+        $this->assertTrue($true, 'testuser not authorized with good password.');
+
+        $false = $this->AuthFile->authenticate('testuser', 'wrongpass');
+        $this->assertFalse($false, 'testuser not blocked with bad password.');
+    }
+
+    function test_login()
+    {
+        $result = $this->AuthFile->login('testuser', 'testpass');
+        $this->assertTrue($result, 'testuser login failed.');
+        $this->assertTrue($_SESSION['_auth_file']['test_auth']['authenticated'], 'testuser authentication not found in session.');
+    }
+
+    function test_clear()
+    {
+        $result = $this->AuthFile->login('testuser', 'testpass');
+        $this->AuthFile->clear();
+        $this->assertFalse($_SESSION['_auth_file']['test_auth']['authenticated'], 'testuser authentication not false in session.');
+    }
+
+    function test_isloggedin()
+    {
+        $this->AuthFile->login('testuser', 'testpass');
+        $true = $this->AuthFile->isloggedin();
+        $this->assertTrue($true, 'testuser not logged in but should be.');
+
+        $this->AuthFile->clear();
+        $false = $this->AuthFile->isloggedin();
+        $this->assertFalse($false, 'testuser is logged in but shouldn\'t be.');
+    }
+
+//     function test_isadmin()
+//     {
+//         $this->AuthFile->login('testuser', 'testpass');
+//         $true = $this->AuthFile->isadmin();
+//         $this->assertTrue($true);
+//     }
+//
+//     function test_requireadminlogin()
+//     {
+//         $result = $this->AuthFile->requireadminlogin(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+//
+//     function test__encrypt()
+//     {
+//         $result = $this->AuthFile->_encrypt(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+//
+//     function test__salt()
+//     {
+//         $result = $this->AuthFile->_salt(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+
+}
Index: branches/eli_branch/tests/AuthSQLTest.php
===================================================================
--- branches/eli_branch/tests/AuthSQLTest.php	(revision 442)
+++ branches/eli_branch/tests/AuthSQLTest.php	(revision 442)
@@ -0,0 +1,275 @@
+<?php
+/**
+ * The Strangecode Codebase - a general application development framework for PHP
+ * For details visit the project site: <http://trac.strangecode.com/codebase/>
+ * Copyright 2001-2012 Strangecode, LLC
+ * 
+ * This file is part of The Strangecode Codebase.
+ *
+ * The Strangecode Codebase is free software: you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as published by the
+ * Free Software Foundation, either version 3 of the License, or (at your option)
+ * any later version.
+ * 
+ * The Strangecode Codebase is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ * 
+ * You should have received a copy of the GNU General Public License along with
+ * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/**
+ * PHPUnit test case for codebase/lib/Auth_SQL.inc.php
+ *
+ * The method skeletons below need to be filled in with
+ * real data so that the tests will run correctly. Replace
+ * all EXPECTED_VAL and PARAM strings with real data.
+ *
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+class AuthSQLTest extends PHPUnit_Framework_TestCase {
+
+    var $Auth_SQL;
+    
+    static $shared_session;
+    
+    function setUp()
+    {
+	    require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/Auth_SQL.inc.php';
+        $this->Auth_SQL = new Auth_SQL('testauth');
+        $this->Auth_SQL->setParam(array(
+            'db_table'          => 'test_user_tbl',
+            'db_primary_key'    => 'user_id',
+            'db_login_table'    => 'test_login_tbl',
+            'login_url'         => '/login.php',
+            'blocking'          => true,
+            'encryption_type' => AUTH_ENCRYPT_MD5_HARDENED,
+        ));
+
+        // Use fresh user table.
+        $this->Auth_SQL->initDB(true);
+
+        // Insert test data.
+        $db =& DB::getInstance();
+        $db->query("
+            INSERT INTO test_user_tbl (
+                username,
+                userpass,
+                first_name,
+                last_name,
+                email
+            ) VALUES (
+                'testuser',
+                '" . $this->Auth_SQL->encryptPassword('testpass') . "',
+                'John',
+                'Doe',
+                'root@localhost'
+            )
+        ");
+        $_SESSION = AuthSQLTest::$shared_session;
+    }
+
+    function tearDown()
+    {
+    	$db =& DB::getInstance();
+	
+	    unset($this->Auth_SQL);
+        $db->query("DROP TABLE IF EXISTS test_user_tbl");
+        $db->query("DROP TABLE IF EXISTS test_login_tbl");
+        AuthSQLTest::$shared_session = $_SESSION;
+    }
+
+    function test_set()
+    {
+        $this->Auth_SQL->set('testuserkey', 'testuserval');
+        $this->assertEquals('testuserval', $_SESSION['_auth_sql']['testauth']['user_data']['testuserkey']);
+    }
+
+    function test_get()
+    {
+        $_SESSION['_auth_sql']['testauth']['user_data']['testuserkey'] = 'testuserval';
+        $val = $this->Auth_SQL->get('testuserkey');
+        $this->assertEquals('testuserval', $val);
+    }
+
+    function test_setparam()
+    {
+        $this->Auth_SQL->setParam(array(
+            'login_url'         => 'testloginurl.php'
+        ));
+        $this->assertEquals('testloginurl.php', $this->Auth_SQL->getParam('login_url'));
+    }
+
+    function test_getparam()
+    {
+        //$this->Auth_SQL->_params['login_url'] = 'testloginurl.php';
+        $this->Auth_SQL->setParam(array(
+            'login_url'         => 'testloginurl.php'
+        ));
+        $param = $this->Auth_SQL->getParam('login_url');
+        $this->assertEquals('testloginurl.php', $param);
+    }
+
+    function test_clear()
+    {
+        $login = $this->Auth_SQL->login('testuser', 'testpass');
+        $this->assertTrue($login, 'User login failed, but should have succeeded.');
+        $before_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertTrue($before_logged_in, 'User is not logged in, but should be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in, 'User is still logged in but should not be.');
+    }
+
+    function test_authenticate()
+    {
+        $true = $this->Auth_SQL->authenticate('testuser', 'testpass');
+        $this->assertInternalType('array', $true, 'User login failed, but should have succeeded.');
+
+        // Testing wrong password.
+        $false = $this->Auth_SQL->authenticate('testuser', 'wrongpass');
+
+        $this->assertfalse($false, 'User login succeeded, but should have failed.');
+    }
+
+    function test_login_and_isLoggedIn()
+    {
+        $login = $this->Auth_SQL->login('testuser', 'testpass');
+        $this->assertTrue($login, '1. User login failed, but should have succeeded.');
+        $before_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertTrue($before_logged_in, '2. User is not logged in, but should be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in, '3. User is still logged in but should not be.');
+        
+        // Testing wrong password.
+        $login2 = $this->Auth_SQL->login('testuser', 'wrongpass');
+        $this->assertFalse($login2, '4. User login succeeded, but should have failed.');
+        $before_logged_in2 = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($before_logged_in2, '5. User is logged in, but should not be.');
+        $this->Auth_SQL->clear();
+        $after_logged_in2 = $this->Auth_SQL->isloggedin();
+        $this->assertFalse($after_logged_in2, '6. Wrong user is still logged in but should not be.');
+    }
+
+    function test_requirelogin()
+    {
+//         $this->Auth_SQL->requirelogin('Login is required!');
+    }
+
+    function test_blockaccount()
+    {
+		$db =& DB::getInstance();
+	
+        $this->Auth_SQL->login('testuser', 'testpass');
+        $this->Auth_SQL->blockaccount(null, 'blocktestuser');
+        $qid = $db->query("
+            SELECT blocked_reason
+            FROM test_user_tbl
+        ");
+        list($reason) = mysql_fetch_row($qid);
+        $this->assertEquals('blocktestuser', $reason, "Block not found in DB record.");
+    }
+
+    function test_unblockaccount()
+    {
+		$db =& DB::getInstance();
+	
+        $db->query("
+            UPDATE test_user_tbl SET blocked_reason = 'blocktestuser'
+        ");
+        $this->Auth_SQL->unblockaccount();
+
+        $qid = $db->query("
+            SELECT blocked_reason
+            FROM test_user_tbl
+        ");
+        list($reason) = mysql_fetch_row($qid);
+        $this->assertTrue('' == $reason, "Block not removed from DB record.");
+    }
+
+    function test_usernameexists()
+    {
+        $result = $this->Auth_SQL->usernameexists('testuser');
+        $this->assertTrue($result);
+    }
+
+    function test_getusername()
+    {
+        $result = $this->Auth_SQL->getusername(1);
+        $this->assertEquals('testuser', $result);
+    }
+
+    function test_generatepassword()
+    {
+        $result = $this->Auth_SQL->generatepassword('xCVcvd');
+        $this->assertRegExp('/[bcdfghjklmnprstvwxzBCDFGHJKLMNPRSTVWXZaeiouyAEIOUY0123456789][bcdfghjklmnprstvwxzBCDFGHJKLMNPRSTVWXZ][aeiouyAEIOUY][bcdfghjklmnprstvwxz][aeiouy][0123456789]/', $result, 'Generated password does not match intended pattern');
+    }
+
+    function test_encryptpassword()
+    {
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('202cb962ac59075b964b07152d234b70', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('c55e4ac608a8768ecd758fab971b0646', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('40bd001563085fc35165329ea1ff5c5ecbdbbeef', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_PLAINTEXT));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('123', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_CRYPT));
+        $result = $this->Auth_SQL->encryptpassword('123', 'saltstring');
+        $this->assertEquals('saEZ6MlWYV9nQ', $result);
+    }
+
+    function test_setpassword()
+    {
+		$db =& DB::getInstance();
+	
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
+        $this->Auth_SQL->setpassword(null, '123');
+        $qid = $db->query("
+            SELECT userpass
+            FROM test_user_tbl
+        ");
+        list($pass) = mysql_fetch_row($qid);
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $pass);
+    }
+
+    function test_resetpassword()
+    {
+        $result = $this->Auth_SQL->resetpassword(1, 'Because this is a test.');
+        $this->assertInternalType('array', $result);
+        
+    }
+
+//     function test_inclearancezone()
+//     {
+//         $result = $this->Auth_SQL->inclearancezone(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+//
+//     function test_requireaccessclearance()
+//     {
+//         $result = $this->Auth_SQL->requireaccessclearance(PARAM);
+//         $expected = EXPECTED_VAL;
+//         $this->assertEquals($expected, $result);
+//     }
+
+}
+
Index: branches/eli_branch/tests/AuthorizeNetTest.php
===================================================================
--- branches/eli_branch/tests/AuthorizeNetTest.php	(revision 440)
+++ branches/eli_branch/tests/AuthorizeNetTest.php	(revision 442)
@@ -30,14 +30,11 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class AuthorizeNetTest extends PHPUnit_TestCase {
+
+class AuthorizeNetTest extends PHPUnit_Framework_TestCase {
 
     var $AuthorizeNet;
-
-    function AuthorizeNetTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
-
+    
+    static $shared_session;
+    
     function setUp()
     {
@@ -45,5 +42,5 @@
         require_once '../lib/AuthorizeNet.inc.php';
 
-        $this->AuthorizeNet =& new AuthorizeNet();
+        $this->AuthorizeNet = new AuthorizeNet();
         $this->AuthorizeNet->setParam(array(
             'x_login' => 'myaccount',
@@ -61,4 +58,5 @@
             'x_zip' => '75010',
         ));
+        $_SESSION = AuthorizeNetTest::$shared_session;
     }
 
@@ -66,4 +64,5 @@
     {
         unset($this->AuthorizeNet);
+        AuthorizeNetTest::$shared_session = $_SESSION;
     }
 
@@ -71,5 +70,5 @@
     {
         $this->AuthorizeNet->setparam(array('x_Login' => 'myaccount2'));
-        $this->assertEquals('myaccount2', $this->AuthorizeNet->_params['x_Login']);
+        $this->assertEquals('myaccount2', $this->AuthorizeNet->getParam('x_Login'));
     }
 
@@ -119,6 +118,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('AuthorizeNetTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/CSSTest.php
===================================================================
--- branches/eli_branch/tests/CSSTest.php	(revision 440)
+++ branches/eli_branch/tests/CSSTest.php	(revision 442)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class CSSTest extends PHPUnit_TestCase {
+
+class CSSTest extends PHPUnit_Framework_TestCase {
 
     var $CSS;
     var $test_css_file;
-
-    function CSSTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -46,5 +41,5 @@
         $this->test_css_file = dirname(__FILE__) . '/../css/codebase.inc.css';
         require_once '../lib/CSS.inc.php';
-        $this->CSS =& new CSS();
+        $this->CSS = new CSS();
         $this->CSS->setFile($this->test_css_file);
     }
@@ -86,6 +81,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('CSSTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/CacheTest.php
===================================================================
--- branches/eli_branch/tests/CacheTest.php	(revision 440)
+++ branches/eli_branch/tests/CacheTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class CacheTest extends PHPUnit_TestCase {
+
+class CacheTest extends PHPUnit_Framework_TestCase {
 
     var $Cache;
@@ -40,5 +40,5 @@
     function CacheTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -105,6 +105,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('CacheTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/DBSessionHandlerTest.php
===================================================================
--- branches/eli_branch/tests/DBSessionHandlerTest.php	(revision 440)
+++ branches/eli_branch/tests/DBSessionHandlerTest.php	(revision 442)
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class DBSessionHandlerTest extends PHPUnit_TestCase {
+
+class DBSessionHandlerTest extends PHPUnit_Framework_TestCase {
 
     var $DBSessionHandler;
-
-    function DBSessionHandlerTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -87,6 +82,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('DBSessionHandlerTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/EmailTest.php
===================================================================
--- branches/eli_branch/tests/EmailTest.php	(revision 440)
+++ branches/eli_branch/tests/EmailTest.php	(revision 442)
@@ -1,3 +1,4 @@
 <?php
+
 /**
  * The Strangecode Codebase - a general application development framework for PHP
@@ -30,13 +31,8 @@
  * Created with PHPUnit_Skeleton on 2005-12-01
  */
-require_once 'PHPUnit.php';
-class EmailTest extends PHPUnit_TestCase {
+
+class EmailTest extends PHPUnit_Framework_TestCase {
 
     var $Email;
-
-    function EmailTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +40,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/Email.inc.php';
-        $this->Email =& new Email();
+        $this->Email = new Email();
     }
 
@@ -122,6 +118,2 @@
 
 }
-// Running the test.
-$suite  = new PHPUnit_TestSuite('EmailTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/FormValidatorTest.php
===================================================================
--- branches/eli_branch/tests/FormValidatorTest.php	(revision 440)
+++ branches/eli_branch/tests/FormValidatorTest.php	(revision 442)
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class FormValidatorTest extends PHPUnit_TestCase {
+
+class FormValidatorTest extends PHPUnit_Framework_TestCase {
 
     var $FormValidator;
-
-    function FormValidatorTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +39,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/FormValidator.inc.php';
-        $this->FormValidator =& new FormValidator();
+        $this->FormValidator = new FormValidator();
     }
 
@@ -294,6 +289,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('FormValidatorTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/Google_APITest.php
===================================================================
--- branches/eli_branch/tests/Google_APITest.php	(revision 440)
+++ branches/eli_branch/tests/Google_APITest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class GoogleAPITest extends PHPUnit_TestCase {
+
+class GoogleAPITest extends PHPUnit_Framework_TestCase {
 
     var $GoogleAPI;
@@ -40,5 +40,5 @@
     function GoogleAPITest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,6 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('GoogleAPITest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/HierarchyTest.php
===================================================================
--- branches/eli_branch/tests/HierarchyTest.php	(revision 440)
+++ branches/eli_branch/tests/HierarchyTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class HierarchyTest extends PHPUnit_TestCase {
+
+class HierarchyTest extends PHPUnit_Framework_TestCase {
 
     var $Hierarchy;
@@ -40,5 +40,5 @@
     function HierarchyTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -175,6 +175,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('HierarchyTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/ImageThumbTest.php
===================================================================
--- branches/eli_branch/tests/ImageThumbTest.php	(revision 440)
+++ branches/eli_branch/tests/ImageThumbTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class ImageThumbTest extends PHPUnit_TestCase {
+
+class ImageThumbTest extends PHPUnit_Framework_TestCase {
 
     var $ImageThumb;
@@ -40,5 +40,5 @@
     function ImageThumbTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -119,6 +119,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('ImageThumbTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/LockTest.php
===================================================================
--- branches/eli_branch/tests/LockTest.php	(revision 440)
+++ branches/eli_branch/tests/LockTest.php	(revision 442)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class LockTest extends PHPUnit_TestCase {
+
+class LockTest extends PHPUnit_Framework_TestCase {
 
     var $Lock;
     var $Auth_SQL;
-
-    function LockTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -47,5 +42,5 @@
         require_once '../lib/Auth_SQL.inc.php';
 
-        $this->Auth_SQL =& new Auth_SQL('test');
+        $this->Auth_SQL = new Auth_SQL('test');
         $this->Auth_SQL->setParam(array(
             'db_table'          => 'test_user_tbl',
@@ -208,10 +203,6 @@
     {
         $result = $this->Lock->getsecondselapsed();
-        $this->assertType('integer', $result);
+        $this->assertInternalType('integer', $result);
     }
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('LockTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/MCVETest.php
===================================================================
--- branches/eli_branch/tests/MCVETest.php	(revision 440)
+++ branches/eli_branch/tests/MCVETest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class MCVETest extends PHPUnit_TestCase {
+
+class MCVETest extends PHPUnit_Framework_TestCase {
 
     var $MCVE;
@@ -40,5 +40,5 @@
     function MCVETest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,6 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('MCVETest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/NavTest.php
===================================================================
--- branches/eli_branch/tests/NavTest.php	(revision 440)
+++ branches/eli_branch/tests/NavTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class NavigationTest extends PHPUnit_TestCase {
+
+class NavigationTest extends PHPUnit_Framework_TestCase {
 
     var $Navigation;
@@ -40,5 +40,5 @@
     function NavigationTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -133,6 +133,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('NavigationTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/PEditTest.php
===================================================================
--- branches/eli_branch/tests/PEditTest.php	(revision 440)
+++ branches/eli_branch/tests/PEditTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PEditTest extends PHPUnit_TestCase {
+
+class PEditTest extends PHPUnit_Framework_TestCase {
 
     var $PEdit;
@@ -40,5 +40,5 @@
     function PEditTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -154,6 +154,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PEditTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/PageNumbersTest.php
===================================================================
--- branches/eli_branch/tests/PageNumbersTest.php	(revision 440)
+++ branches/eli_branch/tests/PageNumbersTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PageNumbersTest extends PHPUnit_TestCase {
+
+class PageNumbersTest extends PHPUnit_Framework_TestCase {
 
     var $PageNumbers;
@@ -40,5 +40,5 @@
     function PageNumbersTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -133,6 +133,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PageNumbersTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/PageSequenceTest.php
===================================================================
--- branches/eli_branch/tests/PageSequenceTest.php	(revision 440)
+++ branches/eli_branch/tests/PageSequenceTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PageSequenceTest extends PHPUnit_TestCase {
+
+class PageSequenceTest extends PHPUnit_Framework_TestCase {
 
     var $PageSequence;
@@ -40,5 +40,5 @@
     function PageSequenceTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -182,6 +182,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PageSequenceTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/PayPalTest.php
===================================================================
--- branches/eli_branch/tests/PayPalTest.php	(revision 440)
+++ branches/eli_branch/tests/PayPalTest.php	(revision 442)
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PayPalTest extends PHPUnit_TestCase {
+
+class PayPalTest extends PHPUnit_Framework_TestCase {
 
     var $PayPal;
-
-    function PayPalTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +39,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/PayPal.inc.php';
-        $this->PayPal =& new PayPal();
+        $this->PayPal = new PayPal();
 
         // Defaults for purchasing classified postings.
@@ -90,5 +85,6 @@
         ));
         $result = $this->PayPal->getlink('testitem');
-        $this->assertTrue(preg_match('/customdata/', $result));
+        //$this->assertTrue(preg_match('/customdata/', $result));
+        $this->assertSame(1, preg_match('/customdata/', $result));
     }
 
@@ -103,5 +99,7 @@
         $this->PayPal->printbutton('testitem');
         $result = ob_get_clean();
-        $this->assertTrue(preg_match('/customdata/', $result));
+        //$this->assertTrue(preg_match('/customdata/', $result));
+        $this->assertSame(1, preg_match('/customdata/', $result));
+        
     }
 
@@ -134,6 +132,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PayPalTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/PrefsTest.php
===================================================================
--- branches/eli_branch/tests/PrefsTest.php	(revision 440)
+++ branches/eli_branch/tests/PrefsTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PrefsTest extends PHPUnit_TestCase {
+
+class PrefsTest extends PHPUnit_Framework_TestCase {
 
     var $Prefs;
@@ -40,5 +40,5 @@
     function PrefsTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -112,6 +112,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PrefsTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/ScriptTimerTest.php
===================================================================
--- branches/eli_branch/tests/ScriptTimerTest.php	(revision 440)
+++ branches/eli_branch/tests/ScriptTimerTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class ScriptTimerTest extends PHPUnit_TestCase {
+
+class ScriptTimerTest extends PHPUnit_Framework_TestCase {
 
     var $ScriptTimer;
@@ -40,5 +40,5 @@
     function ScriptTimerTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -77,6 +77,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('ScriptTimerTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/SortOrderTest.php
===================================================================
--- branches/eli_branch/tests/SortOrderTest.php	(revision 440)
+++ branches/eli_branch/tests/SortOrderTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class SortOrderTest extends PHPUnit_TestCase {
+
+class SortOrderTest extends PHPUnit_Framework_TestCase {
 
     var $SortOrder;
@@ -40,5 +40,5 @@
     function SortOrderTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,6 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('SortOrderTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/SpellCheckTest.php
===================================================================
--- branches/eli_branch/tests/SpellCheckTest.php	(revision 440)
+++ branches/eli_branch/tests/SpellCheckTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class SpellCheckTest extends PHPUnit_TestCase {
+
+class SpellCheckTest extends PHPUnit_Framework_TestCase {
 
     var $SpellCheck;
@@ -40,5 +40,5 @@
     function SpellCheckTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -154,6 +154,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('SpellCheckTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/TemplateGlueTest.php
===================================================================
--- branches/eli_branch/tests/TemplateGlueTest.php	(revision 440)
+++ branches/eli_branch/tests/TemplateGlueTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class TemplateGlueTest extends PHPUnit_TestCase {
+
+class TemplateGlueTest extends PHPUnit_Framework_TestCase {
 
     var $TemplateGlue;
@@ -40,5 +40,5 @@
     function TemplateGlueTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -56,6 +56,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('TemplateGlueTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/UploadTest.php
===================================================================
--- branches/eli_branch/tests/UploadTest.php	(revision 440)
+++ branches/eli_branch/tests/UploadTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class UploadTest extends PHPUnit_TestCase {
+
+class UploadTest extends PHPUnit_Framework_TestCase {
 
     var $Upload;
@@ -40,5 +40,5 @@
     function UploadTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -126,6 +126,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('UploadTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/UtilitiesTest.php
===================================================================
--- branches/eli_branch/tests/UtilitiesTest.php	(revision 440)
+++ branches/eli_branch/tests/UtilitiesTest.php	(revision 442)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class UtilitiesTest extends PHPUnit_TestCase {
+
+class UtilitiesTest extends PHPUnit_Framework_TestCase {
 
     var $Utilities;
@@ -40,5 +40,5 @@
     function UtilitiesTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -56,6 +56,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('UtilitiesTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/VersionTest.php
===================================================================
--- branches/eli_branch/tests/VersionTest.php	(revision 440)
+++ branches/eli_branch/tests/VersionTest.php	(revision 442)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class VersionTest extends PHPUnit_TestCase {
+
+class VersionTest extends PHPUnit_Framework_TestCase {
 
     var $Version;
     var $Auth_SQL;
-
-    function VersionTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -47,5 +42,5 @@
 
         require_once '../lib/Auth_SQL.inc.php';
-        $this->Auth_SQL =& new Auth_SQL('testauth');
+        $this->Auth_SQL = new Auth_SQL('testauth');
         $this->Auth_SQL->setParam(array(
             'db_table'          => 'test_user_tbl',
@@ -116,5 +111,5 @@
     {
         $result = $this->Version->create('test_user_tbl', 'user_id', '1', 'Test User', 'First version of user');
-        $this->assertTrue($result);
+        $this->assertSame(1, $result);
     }
 
@@ -190,6 +185,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('VersionTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
Index: branches/eli_branch/tests/_config.inc.php
===================================================================
--- branches/eli_branch/tests/_config.inc.php	(revision 440)
+++ branches/eli_branch/tests/_config.inc.php	(revision 442)
@@ -28,4 +28,10 @@
 */
 require_once '../lib/App.inc.php';
+
+$_SERVER['DB_SERVER'] = 'localhost';
+$_SERVER['DB_USER'] = 'sc';
+$_SERVER['DB_NAME'] = 'sc_db';
+$_SERVER['DB_PASS'] = '1234';
+
 $app =& App::getInstance('testapp');
 
@@ -44,6 +50,6 @@
     'db_die_on_failure' => true,
     'db_server' => 'localhost',
-    'db_name' => 'test',
-    'db_user' => 'root',
+    'db_name' => getenv('DB_NAME'),
+    'db_user' => getenv('DB_USER'),
     'db_pass' => getenv('DB_PASS'),
     'display_errors' => true,
Index: branches/eli_branch/tests/bootstrap.php
===================================================================
--- branches/eli_branch/tests/bootstrap.php	(revision 442)
+++ branches/eli_branch/tests/bootstrap.php	(revision 442)
@@ -0,0 +1,5 @@
+<?php
+session_start();
+//set_include_path(get_include_path() . PATH_SEPARATOR . '../..');
+ini_set('include_path',get_include_path().PATH_SEPARATOR.'/opt'.PATH_SEPARATOR.'..');
+//die(get_include_path());
Index: branches/eli_branch/tests/phpunit.xml
===================================================================
--- branches/eli_branch/tests/phpunit.xml	(revision 442)
+++ branches/eli_branch/tests/phpunit.xml	(revision 442)
@@ -0,0 +1,28 @@
+<php 
+convertErrorsToExceptions="false"
+convertNoticesToExceptions="false"
+convertWarningsToExceptions="false"
+bootstrap="bootstrap.php"
+>
+  <includePath>.</includePath>
+  <includePath>/opt</includePath>
+  <env name="DB_NAME" value="sc_db"/>
+  <env name="DB_USER" value="sc"/>
+  <env name="DB_PASS" value="1234"/>  
+  <env name="DB_SERVER" value="localhost"/>
+  <testsuites>
+    <testsuite name="Codebase_Tests">
+      <file>AppTest.php</file>
+      <file>AuthFileTest.php</file>
+      <file>AuthorizeNetTest.php</file>
+      <file>AuthSQLTest.php</file>
+      <file>CSSTest.php</file>
+      <file>DBSessionHandlerTest.php</file>
+      <file>EmailTest.php</file>
+      <file>FormValidatorTest.php</file>
+      <file>LockTest.php</file>
+      <file>PayPalTest.php</file>
+      <file>VersionTest.php</file>
+    </testsuite>
+  </testsuites>
+</php>
